Server Actions
commandes
30 Server Actions du domaine commandes, générées depuis le registre de l’API agent.
commandes__addOrderLine
| Argument | Type | Requis |
|---|---|---|
pickupId | string | oui |
productId | string | oui |
qty | number | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__addOrderLine",
"args": [
"<pickupId>",
"<productId>",
"<qty>"
]
}'commandes__closePickup
| Argument | Type | Requis |
|---|---|---|
orderId | string | oui |
pickupId | string | oui |
decisions | Record<string, 'remove' | 'keep'> | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__closePickup",
"args": [
"<orderId>",
"<pickupId>",
"<decisions>"
]
}'commandes__createVendorOrdersSavedViewAction
| Argument | Type | Requis |
|---|---|---|
raw | { name: string; config: unknown } | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__createVendorOrdersSavedViewAction",
"args": [
"<raw>"
]
}'commandes__deleteVendorOrdersSavedViewAction
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__deleteVendorOrdersSavedViewAction",
"args": [
"<id>"
]
}'commandes__depositInvoice
| Argument | Type | Requis |
|---|---|---|
orderId | string | oui |
pickupId | string | oui |
form | FormData | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__depositInvoice",
"args": [
"<orderId>",
"<pickupId>",
"<form>"
]
}'commandes__explainEmptySearch
| Argument | Type | Requis |
|---|---|---|
pickupId | string | oui |
query | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__explainEmptySearch",
"args": [
"<pickupId>",
"<query>"
]
}'commandes__getVendorOrdersStatsAction
| Argument | Type | Requis |
|---|---|---|
raw | OrdersListFiltersInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__getVendorOrdersStatsAction",
"args": [
"<raw>"
]
}'commandes__issueCreditNote
| Argument | Type | Requis |
|---|---|---|
orderId | string | oui |
invoiceId | string | oui |
reason | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__issueCreditNote",
"args": [
"<orderId>",
"<invoiceId>",
"<reason>"
]
}'commandes__issueInvoice
| Argument | Type | Requis |
|---|---|---|
orderId | string | oui |
pickupId | string | oui |
discount | PickupDiscount | non |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__issueInvoice",
"args": [
"<orderId>",
"<pickupId>"
]
}'commandes__listVendorCalendarWeekAction
| Argument | Type | Requis |
|---|---|---|
raw | z.input<typeof calendarWeekSchema> | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__listVendorCalendarWeekAction",
"args": [
"<raw>"
]
}'commandes__listVendorOrdersAction
| Argument | Type | Requis |
|---|---|---|
raw | OrdersListFiltersInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__listVendorOrdersAction",
"args": [
"<raw>"
]
}'commandes__listVendorOrdersSavedViewsAction
Sans argument.
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__listVendorOrdersSavedViewsAction",
"args": []
}'commandes__listVendorScopeOptionsAction
Sans argument.
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__listVendorScopeOptionsAction",
"args": []
}'commandes__loadRescheduleOptions
| Argument | Type | Requis |
|---|---|---|
pickupId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__loadRescheduleOptions",
"args": [
"<pickupId>"
]
}'commandes__reclassOptions
| Argument | Type | Requis |
|---|---|---|
orderItemId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__reclassOptions",
"args": [
"<orderItemId>"
]
}'commandes__reclassOrderLine
| Argument | Type | Requis |
|---|---|---|
orderItemId | string | oui |
qty | number | oui |
quality | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__reclassOrderLine",
"args": [
"<orderItemId>",
"<qty>",
"<quality>"
]
}'commandes__removeDepositedInvoice
| Argument | Type | Requis |
|---|---|---|
orderId | string | oui |
invoiceId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__removeDepositedInvoice",
"args": [
"<orderId>",
"<invoiceId>"
]
}'commandes__removeOrderLine
| Argument | Type | Requis |
|---|---|---|
orderItemId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__removeOrderLine",
"args": [
"<orderItemId>"
]
}'commandes__replaceDepositedInvoice
| Argument | Type | Requis |
|---|---|---|
orderId | string | oui |
invoiceId | string | oui |
form | FormData | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__replaceDepositedInvoice",
"args": [
"<orderId>",
"<invoiceId>",
"<form>"
]
}'commandes__reschedulePickupAction
| Argument | Type | Requis |
|---|---|---|
input | RescheduleInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__reschedulePickupAction",
"args": [
"<input>"
]
}'commandes__retransmitDocument
| Argument | Type | Requis |
|---|---|---|
orderId | string | null | oui |
documentId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__retransmitDocument",
"args": [
"<orderId>",
"<documentId>"
]
}'commandes__searchOrderStock
| Argument | Type | Requis |
|---|---|---|
pickupId | string | oui |
query | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__searchOrderStock",
"args": [
"<pickupId>",
"<query>"
]
}'commandes__setDepositedInvoicePaid
| Argument | Type | Requis |
|---|---|---|
orderId | string | oui |
invoiceId | string | oui |
paid | boolean | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__setDepositedInvoicePaid",
"args": [
"<orderId>",
"<invoiceId>",
"<paid>"
]
}'commandes__setDocumentPaid
| Argument | Type | Requis |
|---|---|---|
orderId | string | oui |
documentId | string | oui |
paid | boolean | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__setDocumentPaid",
"args": [
"<orderId>",
"<documentId>",
"<paid>"
]
}'commandes__setLineLoaded
| Argument | Type | Requis |
|---|---|---|
orderId | string | oui |
orderItemId | string | oui |
loaded | number | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__setLineLoaded",
"args": [
"<orderId>",
"<orderItemId>",
"<loaded>"
]
}'commandes__setOrderLinePrice
| Argument | Type | Requis |
|---|---|---|
orderItemId | string | oui |
unitPriceTtc | number | oui |
reason | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__setOrderLinePrice",
"args": [
"<orderItemId>",
"<unitPriceTtc>",
"<reason>"
]
}'commandes__setOrderLineQuantity
| Argument | Type | Requis |
|---|---|---|
orderItemId | string | oui |
qty | number | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__setOrderLineQuantity",
"args": [
"<orderItemId>",
"<qty>"
]
}'commandes__similarForLine
| Argument | Type | Requis |
|---|---|---|
orderItemId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__similarForLine",
"args": [
"<orderItemId>"
]
}'commandes__swapOrderLine
| Argument | Type | Requis |
|---|---|---|
orderItemId | string | oui |
productId | string | oui |
qty | number | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__swapOrderLine",
"args": [
"<orderItemId>",
"<productId>",
"<qty>"
]
}'commandes__updateVendorOrdersSavedViewAction
| Argument | Type | Requis |
|---|---|---|
raw | { id: string; config: unknown } | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "commandes__updateVendorOrdersSavedViewAction",
"args": [
"<raw>"
]
}'